> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieve the current user's credit balance and account details



## OpenAPI

````yaml get /api/auth/users/me/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/auth/users/me/:
    get:
      tags:
        - 1. Auth
      summary: Get User (me)
      description: Retrieve the current user's credit balance and account details
      operationId: getUserMe
      responses:
        '200':
          description: '200'
          headers:
            Allow:
              schema:
                type: string
                example: GET, PUT, PATCH, DELETE, HEAD, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '872'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 20:45:10 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance_companies_by_icp:
                    type: number
                    example: -101
                  balance_company_by_link:
                    type: number
                    example: 0
                  balance_email_finder:
                    type: number
                    example: 0
                  balance_email_verifier:
                    type: number
                    example: 0
                  balance_lead_by_link:
                    type: number
                    example: -3
                  balance_leads_by_icp:
                    type: number
                    example: -1719
                  balance_platform:
                    type: number
                    example: 8531
                  beta_tester:
                    type: boolean
                    example: false
                  blocked_balance_platform:
                    type: number
                    example: 0
                  consultancy_hours:
                    type: number
                    example: 3
                  count_parallel_searches:
                    type: number
                    example: 0
                  count_searches_completed_today:
                    type: number
                    example: 0
                  count_searches_in_progress_today:
                    type: number
                    example: 0
                  email:
                    type: string
                    example: admin@example.com
                  full_name:
                    type: string
                    example: ''
                  icp_flow:
                    type: object
                    properties:
                      A:
                        type: string
                        example: '1'
                      active_compaign_count_lead:
                        type: number
                        example: 1000
                      active_compaign_first_icp:
                        type: string
                        example: 'true'
                      active_compaign_first_lead:
                        type: string
                        example: 'true'
                      active_compaign_first_search:
                        type: string
                        example: 'true'
                  is_staff:
                    type: boolean
                    example: true
                  last_invoice_status:
                    type: boolean
                    example: true
                  last_password_changed:
                    type: string
                    example: '2024-10-30T13:09:31'
                  logo:
                    nullable: true
                    example: null
                  max_credits:
                    type: number
                    example: 10000
                  max_parallel_searches:
                    type: number
                    example: 5
                  max_searches_daily:
                    type: number
                    example: 20
                  prev_subscription_status:
                    nullable: true
                    example: null
                  spent_for_emails:
                    type: number
                    example: 303
                  spent_for_export:
                    type: number
                    example: 0
                  subscription:
                    type: string
                    example: Business
                  trial_available:
                    type: boolean
                    example: true
              examples:
                '200':
                  value:
                    balance_companies_by_icp: -101
                    balance_company_by_link: 0
                    balance_email_finder: 0
                    balance_email_verifier: 0
                    balance_lead_by_link: -3
                    balance_leads_by_icp: -1719
                    balance_platform: 8531
                    beta_tester: false
                    blocked_balance_platform: 0
                    consultancy_hours: 3
                    count_parallel_searches: 0
                    count_searches_completed_today: 0
                    count_searches_in_progress_today: 0
                    email: admin@example.com
                    full_name: ''
                    icp_flow:
                      A: '1'
                      active_compaign_count_lead: 1000
                      active_compaign_first_icp: 'true'
                      active_compaign_first_lead: 'true'
                      active_compaign_first_search: 'true'
                    is_staff: true
                    last_invoice_status: true
                    last_password_changed: '2024-10-30T13:09:31'
                    logo: null
                    max_credits: 10000
                    max_parallel_searches: 5
                    max_searches_daily: 20
                    prev_subscription_status: null
                    spent_for_emails: 303
                    spent_for_export: 0
                    subscription: Business
                    trial_available: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````